/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/BLIBOPTI.CPP   1.4   20 Jun 1996 09:29:20   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/BLIBOPTI.CPP  $
** 
**    Rev 1.4   20 Jun 1996 09:29:20   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:23:58   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:35:32   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// aloption.cpp
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"

#include "toolopt.h"
#include "blib.h"
#include "blibopti.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// BLIBOption dialog


BLIBOption::BLIBOption(BLIBTool * pTool)
    : CPropertyPage(BLIBOption::IDD)
{                                
    ASSERT(pTool);
    
    m_pTool = pTool;               
    
    LoadData();
    
    //{{AFX_DATA_INIT(BLIBOption)
    
    //}}AFX_DATA_INIT
}

void BLIBOption::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(BLIBOption)
    DDX_CBIndex(pDX, IDC_BLIBOPT_MODEL, m_nMemoryModel);
    DDX_Text(pDX, IDC_BLIBOPT_MORE, m_strMore);
    DDX_Text(pDX, IDC_BLIBOPT_PATH_EDIT, m_strPath);
    //}}AFX_DATA_MAP
}

void BLIBOption::SaveData(void)
{
//  UpdateData(TRUE);

    m_pTool->m_nMemoryModel = m_nMemoryModel;
    m_pTool->m_strMore      = m_strMore;
    m_pTool->m_strPath      = m_strPath;
}

void BLIBOption::LoadData(void)
{
    m_nMemoryModel = m_pTool->m_nMemoryModel; 
    m_strMore      = m_pTool->m_strMore;
    m_strPath      = m_pTool->m_strPath;
 
}

BEGIN_MESSAGE_MAP(BLIBOption, CPropertyPage)
    //{{AFX_MSG_MAP(BLIBOption)
        // NOTE: the ClassWizard will add message map macros here
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// ALIBOption message handlers
